/*!
 * GxSweetAlert v1.2.0
 * License: Apache License 2.0
 * Copyright 2015 (C) ITcowork Inc. All Rights Reserved.
 * http://www.itcowork.co.jp/genexus/sweet/
 */
function GxSweetAlert($)
{
	this.ShowCancelButton;
	this.CancelButtonText;
	this.ShowConfirmButton;
	this.ConfirmButtonText;
	this.ConfirmButtonColor;
	this.InputPlaceholder;
	this.InputRequired;
	this.RequiredText;
	this.Width;
	this.Height;
	this.TAG;
	this.Title;
	this.MessageText;
	this.Type;
	this.TextValue;

	this.show = function()
	{
		///UserCodeRegionStart:[show] (do not remove this comment.)

		///UserCodeRegionEnd: (do not remove this comment.)
	}
	///UserCodeRegionStart:[User Functions] (do not remove this comment.)

	var _this = this;

	this.onAlert = function(msg)
	{
		window.alert(msg);
	}

	this.onSweet = function(pTAG)
	{
		// Sweet alert show...
		swal({
			title: this.Title,
			text: this.MessageText,
			type: this.Type,
			showCancelButton: this.ShowCancelButton,
			cancelButtonText: this.CancelButtonText,
			showConfirmButton: this.ShowConfirmButton,
			confirmButtonText: this.ConfirmButtonText,
			confirmButtonColor: "#" + this.ConfirmButtonColor.Hexa,
			//animation: "slide-from-bottom",
			closeOnConfirm: false,
			inputPlaceholder: this.InputPlaceholder,
		},function(result){

			// False case return...
			if (result === false) return false;

			// Required check...
			if (_this.InputRequired === true && result === ""){
				swal.showInputError(_this.RequiredText);
				return false;
			}

			// Return value set...
			_this.TAG = pTAG;
			_this.TextValue = "";

			// Input case...
			if (_this.Type == "input"){
				_this.TextValue = result;
			}

			// GeneXus callback...
			_this.ConfirmResult();

			// Sweet alert close...
			swal.close();
		});
	}




	///UserCodeRegionEnd: (do not remove this comment.):
}
